/*************************

Theme Name: LA FABRIQUE DE GUILLAUME
Description: Theme enfant de GeneratePress. Vous pouvez maintenant effectuer vos modifications en toute sécurité.
Author: Florian | Progressio Web
Author URI: https://progressio-web.fr
Template: generatepress
Version: 1.0

*************************/

:root {
    --red : #AF0101;
}

html, body {
    overflow-x: clip;
}

body::-webkit-scrollbar {
    width: 10px;
    background-color: #ffffff;
}

body::-webkit-scrollbar-thumb {
    background-color: var(--e-global-color-primary);
    border-radius: 999px;
}

.swiper-wrapper {
  transition-timing-function: linear !important;
}

.swiper-container {
  overflow: hidden;
}

.cover {
    background-size: cover!important;
}

.fixed {
    background-attachment: fixed;
}

.one-container.archive .post:not(:last-child):not(.is-loop-template-item), .one-container.blog .post:not(:last-child):not(.is-loop-template-item) {
    padding-bottom: 0px;
}

a.elementor-button:hover span.elementor-button-icon svg path {
    fill: inherit;
}

div.wpforms-container-full input[type=checkbox]:before,
div.wpforms-container-full input[type=radio]:before {
    border-radius: 999px!important;
    width: 20px;
    height: 20px;
}

.red {
    color: var(--red);
}

/*********************************************/
/************** CUSTOM CONTENT ***************/
/*********************************************/

.content_custom *, .elementor-widget-text-editor * {
    margin-bottom: 30px !important;
}

.content_custom *:first-child,  .elementor-widget-text-editor *:first-child {
    margin-top: 0px !important;
}

.content_custom h2,  .elementor-widget-text-editor h2 {
    margin-top: 50px;
}

.content_custom *:last-child,  .elementor-widget-text-editor *:last-child {
    margin-bottom: 0px !important;
}

.content_custom li,  .elementor-widget-text-editor li {
    margin-bottom: 10px !important;
}

.content_custom ul,  .elementor-widget-text-editor ul {
    margin-left: 30px;
}

.strong {
    color : var( --e-global-color-accent );
}

.content_custom a {
    text-decoration: underline!important;
    font-weight: 600!important;
}

/*********************************************/
/***************** GENERAL *******************/
/*********************************************/

.page-numbers.prev, .page-numbers.next {
    background: var(--e-global-color-primary);
    color: white !important;
    padding: 15px;
    border-radius: 9999px;
    transition : all 0.3s ease-out;
}

.page-numbers.prev:hover , .page-numbers.next:hover  {
    background: var( --e-global-color-secondary );
    transition : all 0.3s ease-out;
}

.page-numbers.prev {
    margin-right: 20px !important;
}

.page-numbers.next {
    margin-left: 20px !important;
}

a.page-numbers {
    background: white!important;
    color: var(--e-global-color-primary) !important;
    width: 35px;
    height: 35px;
    border-radius: 999px;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    border: solid 2px var(--e-global-color-primary)!important;
}

span.page-numbers.current {
    background: var(--e-global-color-secondary)!important;
    color: white!important;
    width: 35px;
    height: 35px;
    border-radius: 999px;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    border: solid 2px var(--e-global-color-primary)!important;
}

div#header_master span.xoo-wsc-sc-subt {
    display: none!important;
}

div#header_master .elementor-element.elementor-element-d5623cd.elementor-widget.elementor-widget-shortcode {
    margin-bottom: -7px;
}

input#pwc_password {
    border: solid 1px black;
}

.pwc-protected-login__field {
    display: flex;
    flex-direction: column;
    text-align: center;
    gap: 10px;
}

.pwc-protected-login__field p {
    margin-bottom: 20px!important;
}

form.pwc-protected-login {
    text-align: center;
    max-width: 650px;
    margin: auto;
}

.woocommerce-product-gallery ol.flex-control-nav.flex-control-thumbs {
    padding: 0px 30px !important;
}

.wc-block-cart__submit-container a {
    color: white !important;
    border-radius: 999px;
    background: #191919;
}

body.woocommerce-page .inside-article {
    max-width: 1250px;
    margin: auto;
}

body.woocommerce-cart .inside-article , body.woocommerce-checkout .inside-article {
    max-width: 1250px;
    margin: auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 50px;
    padding-top: 100px;
    padding-bottom: 100px;
}

body.woocommerce-cart .entry-content .alignwide, body.woocommerce-checkout .entry-content .alignwide {
    width: 100%;
    margin: auto;
}

body.woocommerce-cart .entry-content:not(:first-child), body.woocommerce-checkout .entry-content:not(:first-child) {
    margin: 0;
}

body.woocommerce-cart h1.entry-title, body.woocommerce-checkout h1.entry-title {
    text-align: center;
}

body.woocommerce-cart.one-container .site-content, body.woocommerce-checkout.one-container .site-content {
    padding: 0px!important;
}

/*********************************************/
/**************** RESPONSIVE *****************/
/*********************************************/

@media screen and (min-width:1201px) {
    .no_desk {
        display: none !important;
    }
}


/*********************************************/
/***************** TABLETTE ******************/
/*********************************************/

@media screen and (max-width:1024px) {
    .no_mob {
        display: none !important;
    }
}


/*********************************************/
/****************** MOBILE *******************/
/*********************************************/

@media screen and (max-width:768px) {

}